apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: {{ include "don.fullname" . }}-oss
  labels:
    {{- include "don.labels" . | nindent 4 }}
  annotations:
    nginx.ingress.kubernetes.io/enable-cors: "true"
    nginx.ingress.kubernetes.io/server-snippet: |
      add_header X-XSS-Protection "1; mode=block" always;
      add_header Content-Security-Policy "default-src 'self'; style-src 'self' 'unsafe-inline'; img-src 'self' https://dongeitjes.commondatafactory.nl/count https://avatars.githubusercontent.com https://gitlab.com; script-src 'self' https://dongeitjes.commondatafactory.nl/count.js; worker-src blob:; base-uri 'self'; frame-ancestors 'none'; form-action 'self' https://community.developer.overheid.nl;" always;
      add_header Permissions-Policy "accelerometer=(), autoplay(), battery=(), camera=(), display-capture=(), geolocation=(), gyroscope=(), idle-detection=(), magnetometer=(), microphone=(), payment=(), serial=(), usb=()" always;
  {{- with .Values.ingress.annotations }}
    {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  rules:
    - host: {{ printf "oss.%s" .Values.ingress.host | quote }}
      http:
        paths:
          - path: /
            pathType: Prefix
            backend:
              service:
                name: {{ include "don.fullname" . }}
                port:
                  name: http
  {{- if .Values.ingress.tls.enabled }}
  tls:
    - hosts:
        - {{ printf "oss.%s" .Values.ingress.host | quote }}
      secretName: {{ .Values.ingress.tls.oss.secretName }}
  {{- end }}
